# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=procps-ng
pkgver=4.0.0
pkgrel=1
pkgdesc="Utilities for monitoring your system and its processes"
arch=('x86_64')
url="https://gitlab.com/procps-ng/procps"
license=('GPL' 'LGPL')
groups=('base')
depends=('glibc')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'make' 'ncurses')
checkdepends=('check')
options=('!emptydirs')
source=(https://sourceforge.net/projects/procps-ng/files/Production/${pkgname}-${pkgver}.tar.xz)
sha256sums=(0f4d92794edb7a1c95bb3b8c1f823de62be5d0043459c2155fd07fa859c16513)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}          \
        --disable-static  \
        --disable-kill    \
        --with-systemd

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
